Bug 491415 - RFE: yum-versionlock: needs better output
RFE: yum-versionlock: needs better output
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
17
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-20 16:53 EDT by Gerry Reno
Modified: 2014-01-21 18:08 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 12:47:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gerry Reno 2009-03-20 16:53:40 EDT
See yum mailing list thread by same name.

Description of problem:
Right now when I run yum with the yum-versionlock installed and a package version in /etc/yum/pluginconf.d/versionlock.list I get:

# yum update bzip2
Loading "fastestmirror" plugin
Loading "versionlock" plugin
Loading mirror speeds from cached hostfile
* fedora: archive.fedoraproject.org
* updates: archive.fedoraproject.org
Reading version lock configuration
Setting up Update Process
Could not find update match for bzip2
No Packages marked for Update


But nowhere does it tell me that versionlock is preventing the update of bzip2. Only by running:
yum list bzip2

can I see that there is an update.

What we need is for yum-versionlock to report that the update is not taking place because versionlock is preventing it. 

So I ran this as Seth suggested:
# yum -d 5 update bzip2
Loading "fastestmirror" plugin
Loading "versionlock" plugin
Running "init" handler for "fastestmirror" plugin
Yum Version: 3.2.8
COMMAND: yum -d 5 update bzip2
Installroot: /
Ext Commands:

bzip2
Reading Local RPMDB
Setting up Package Sacks
Running "postreposetup" handler for "fastestmirror" plugin
Loading mirror speeds from cached hostfile
* fedora: archive.fedoraproject.org
* updates: archive.fedoraproject.org
Running "exclude" handler for "versionlock" plugin
Reading version lock configuration
Excluding package bzip2 - 1.0.4-10.fc7.i386 due to version lock
Excluding package bzip2 - 1.0.4-11.fc7.i386 due to version lock
Setting up Update Process
Building updates object
Could not find update match for bzip2
No Packages marked for Update


So it shows both the 'installed' and 'available' packages as excluded.

Maybe it could show something like this which gives us a little more context:
...
Installed package bzip2 - 1.0.4-10.fc7.i386 found
Excluding package bzip2 - 1.0.4-11.fc7.i386 due to version lock
...

And this type of info is exactly what we need. Can these two lines be made available in the future without the -d flag?
Comment 1 Tim Lauridsen 2009-03-22 04:33:07 EDT
What about some thing like this output, where the repo of the excluded pkgs is shown.

..
..
Reading version lock configuration
Excluding package bzip2 - 1.0.4-10.fc7.i386 (installed) due to version lock
Excluding package bzip2 - 1.0.4-11.fc7.i386 (updates) due to version lock
Setting up Update Process
..
..
Comment 3 Gerry Reno 2009-03-22 13:08:29 EDT
Hi Tim,
  The output you suggested is fine for us.  We just need some way of seeing the reason the package didn't update.

  I looked at the patch but I don't see where the patch allows this message to be output by default, without having to use the -d flag.  We need this information to be output by default.

Regards,
Gerry
Comment 4 Bug Zapper 2009-06-09 23:38:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Bug Zapper 2009-07-14 12:29:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 6 Petr Spacek 2013-07-02 08:54:50 EDT
I reopened the bug because the non-user-friendly behaviour is still present in Fedora 17:
yum-3.4.3-31.fc17.noarch
yum-plugin-versionlock-1.1.31-4.fc17.noarch

The other part is that 'yum upgrade' should clearly state that package 'xyz' cannot be upgraded because some of package depedencies are version-locked.

For example, imagine following /etc/yum/pluginconf.d/versionlock.list:
32:bind-license-9.9.2-3.P1.fc17.*
32:bind-9.9.2-3.P1.fc17.*
32:bind-libs-9.9.2-3.P1.fc17.*
32:bind-debuginfo-9.9.2-3.P1.fc17.*
32:bind-devel-9.9.2-3.P1.fc17.*
32:bind-libs-lite-9.9.2-3.P1.fc17.*
32:bind-utils-9.9.2-3.P1.fc17.*

Now the 'yum upgrade' fails because dhcpclient depends on newer BIND:
# yum upgrade
Loaded plugins: auto-update-debuginfo, langpacks, presto, refresh-packagekit, versionlock
Resolving Dependencies
--> Running transaction check
---> Package dhclient.x86_64 12:4.2.4-16.P2.fc17 will be updated
---> Package dhclient.x86_64 12:4.2.5-2.fc17 will be an update
--> Processing Dependency: libisc-export.so.95()(64bit) for package: 12:dhclient-4.2.5-2.fc17.x86_64
--> Processing Dependency: libdns-export.so.99()(64bit) for package: 12:dhclient-4.2.5-2.fc17.x86_64
---> Package dhcp-common.x86_64 12:4.2.4-16.P2.fc17 will be updated
---> Package dhcp-common.x86_64 12:4.2.5-2.fc17 will be an update
---> Package dhcp-devel.x86_64 12:4.2.4-16.P2.fc17 will be updated
---> Package dhcp-devel.x86_64 12:4.2.5-2.fc17 will be an update
---> Package dhcp-libs.x86_64 12:4.2.4-16.P2.fc17 will be updated
---> Package dhcp-libs.x86_64 12:4.2.5-2.fc17 will be an update
--> Finished Dependency Resolution
Error: Package: 12:dhclient-4.2.5-2.fc17.x86_64 (updates)
           Requires: libisc-export.so.95()(64bit)
Error: Package: 12:dhclient-4.2.5-2.fc17.x86_64 (updates)
           Requires: libdns-export.so.99()(64bit)
 You could try using --skip-broken to work around the problem
 You could try running: rpm -Va --nofiles --nodigest


I would expect output like 'skipping upgrade of dhcpclient because it's depedency bind-libs-lite is version-locked'.
Comment 7 Fedora End Of Life 2013-07-04 01:33:54 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 8 Fedora End Of Life 2013-08-01 12:47:35 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.